using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class OverMenu : MonoBehaviour
{
    public GameObject gameOverPanel;
    public Text resultText;

    public GameController gameController;

    private bool gameOver = false;

    void Update()
    {
        if (!gameOver && gameController != null && (GameController.playerScore >= 11 || GameController.botScore >= 11))
        {
            gameOver = true;
            Time.timeScale = 0;

            gameOverPanel.SetActive(true);

            if (GameController.playerScore >= 11)
            {
                resultText.text = "You Win!";
            }
            else
            {
                resultText.text = "You Lose!";
            }
        }
    }

    public void RestartGame()
    {
        // Kembalikan skor ke nilai awal jika ada
        if (gameController != null)
        {
            gameController.ResetScores();
        }

        ResetMainScene();

        // Kembalikan waktu permainan ke normal
        Time.timeScale = 1;

        // Muat ulang level saat ini
        SceneManager.LoadScene(SceneManager.GetActiveScene().buildIndex);
    }

    public void QuitGame()
    {
        // Kembalikan skor ke nilai awal jika ada
        if (gameController != null)
        {
            gameController.ResetScores();
        }

        ResetMainScene();

        // Kembalikan waktu permainan ke normal
        Time.timeScale = 1;

        // Kembali ke menu utama (biasanya level sebelumnya)
        SceneManager.LoadScene(SceneManager.GetActiveScene().buildIndex - 1);
    }

    private void ResetMainScene()
    {
        // Reset posisi objek player jika ada
        GameObject player = GameObject.FindWithTag("Player");
        if (player != null)
        {
            player.transform.position = Vector3.zero;
        }
    }
}
